be.fgov.ehealth.hubservices.core.v3

## Class PutAccessRightRequest

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v3.PutAccessRightRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:55:08+02:00",
                 comments="JAXB RI v2.3.7")
      public class PutAccessRightRequest
      extends Object
      implements Serializable

  Java class for PutAccessRightRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PutAccessRightRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestType"/>
               <element name="accessright" type="{http://www.ehealth.fgov.be/hubservices/core/v3}AccessRightType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutAccessRightRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessRightType` | `getAccessright()` Gets the value of the accessright property.
    `RequestType` | `getRequest()` Gets the value of the request property.
    `void` | `setAccessright(AccessRightType value)` Sets the value of the accessright property.
    `void` | `setRequest(RequestType value)` Sets the value of the request property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PutAccessRightRequest

          public PutAccessRightRequest()

  - ### Method Detail

    - #### getRequest

          public RequestType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestType`

    - #### setRequest

          public void setRequest(RequestType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestType`

    - #### getAccessright

          public AccessRightType getAccessright()

      Gets the value of the accessright property.
      Returns:
        possible object is `AccessRightType`

    - #### setAccessright

          public void setAccessright(AccessRightType value)

      Sets the value of the accessright property.
      Parameters:
        `value` - allowed object is `AccessRightType`

Connector Packaging PERSPHYSICIAN 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.